Name:              lxcursor
Version:           0.41
Release:           %mkrel 1
Summary:           A program to change your cursor theme.
Summary(de):	   Programm zum Mauszeiger Themen wechseln	
License:           GPLv2
Group:             Graphical desktop/LXDE
Source:            %{name}-%{version}.tar.xz
URL:               http://nbrks.com/pclinuxos/lxde/sources/
BuildRoot:	   %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:          zenity
Requires:          glibc >= 2.12.1
Requires:          libstdc++6 >= 4.5.2
Requires:	   xcur2png

%description
A simple program to change your cursor theme in LXDE.

#german
%description -l de
Ein einfaches Programm zum wechseln der Mauszeiger 
Themen in der LXDE Desktopumgebung. 

%prep

%setup -q

%build

%install 
rm -rf %buildroot

mkdir -p %{buildroot}/%{_bindir}
install -m 755 %{name} %{buildroot}/%{_bindir}/%{name}

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 lxcursor.desktop %{buildroot}%{_datadir}/applications/lxcursor.desktop

mkdir -p %{buildroot}%{_datadir}/icons
install -m 644 cursor_ring_icon.png %{buildroot}%{_datadir}/icons/cursor_ring_icon.png

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de_DE.po


%files
%defattr(-,root,root)
%{_bindir}/lxcursor
%{_datadir}/applications/lxcursor.desktop
%{_datadir}/icons/cursor_ring_icon.png
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%changelog
* Mon Nov 28 2011 leiche <meisssw01 at gmail.com> 0.41-1leiche2011
- add support for e17 (ghostbunny)

* Wed Oct 12 2011 leiche <meisssw01 at gmail.com> 0.4-3leiche2011
- ported to yad, by ghostbunny
- added preview, by ghostbunny
- rearranges the code in some functions, by ghostbunny

* Wed Sep 28 2011 leiche <meisssw01 at gmail.com> 0.3-1leiche2011
- cleaned up script (ghostbunny)
- add german languages (ghostbunny)
- add icon on window
- add version number in window
- add requires for new glibc
- convert archive to tar.xz

* Mon Jan 25 2010 Neal <nealbrks0@gmail.com> 0.2-3pclos2010
- fixed dependency issue

* Thu Oct 22 2009 Neal <nealbrks0@gmail.com> 0.2-2pclos2010
- 0.2

* Mon Oct 05 2009 Neal <nealbrks0@gmail.com> 0.1-2pclos2010
- gcc update

* Sat Aug 08 2009 Neal <nealbrks0@gmail.com> 0.1-1pclos2009
- initial build

